curl --location 'https://api-dev.getroamify.com/api/refund' \
--header 'Authorization: Bearer roamify_3fegvaRHZxZoAsB7Yg5KFs5ymSg3kBN1trn4DxRrqW1mDRoo9DueN6FSfNTuGndVGpR2iTyH4UVmZf39tVb5muWUPqBm1dh5eHiH5WkPN3wGLF8cr7MhemqekwK7rdqFizTZD9VDRq5P5RHAXzL2tCHfcrsskg2YoP8JE1fndNoiQCUSS1GBUUpmH' \
--header 'Content-Type: application/json' \
--data '{
"productType": "esim",
"iccid": "string",
"esimId": "string",
"reason": "UNABLE_TO_INSTALL",
"notes": "string"
}'{
"status": "success",
"message": "Refund request received",
"data": {
"refundId": "string",
"status": "PENDING",
"productType": "esim",
"item": {
"esimId": "string",
"iccid": "string",
"orderId": "string",
"referenceId": "string",
"countryName": "Japan",
"optionName": "5GB - 30 days"
},
"reason": "UNABLE_TO_INSTALL",
"notes": "string",
"amount": 0,
"currency": "string",
"balanceCreditUsd": 0,
"transaction": {
"id": "string",
"paymentMethod": "string",
"paymentStatus": "string",
"refundedAt": 0
},
"rejectionReason": "string",
"rejectionNote": "string",
"createdAt": 0,
"updatedAt": 0,
"processedAt": 0,
"cancelledAt": 0,
"history": [
{
"status": "PENDING",
"at": 0
}
],
"tracking": {
"method": "GET",
"path": "/api/refund?refundId=0b0e2c1a-..."
}
}
}